// This program is created for LPC-E2214 board
// Return echo from rs232

#include "system.h"
#include "rs232.h"

int main()
{
  /**** VARIABLES ****/
  unsigned char ch0 = 0x0;
  unsigned char ch1 = 0x0;

  /**** INITIALIZATION ****/
  // Frequency initialization
  FrecInit();
  // UART initialization
  UART0Initialize(9600);
  UART1Initialize(9600);


  // loop forever
  while(1) {

    // echo for UART0
    ch0 = UART0ReadChar_nostop();
    if(ch0!=0) {
      UART0WriteChar('*');
      UART0WriteChar(ch0);
    }

    // echo for UART1
    ch1 = UART1ReadChar_nostop();
    if(ch1!=0) {
      UART1WriteChar('*');
      UART1WriteChar(ch1);
    }

  }

}
